Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Resolu][firefox] ne demarre pas
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
zuthos
n00b
n00b


Joined: 13 Dec 2009
Posts: 72
Location: Le Mans

PostPosted: Sun Oct 10, 2010 7:03 pm    Post subject: [Resolu][firefox] ne demarre pas Reply with quote

Tous est dans le titre.
Lorsque je tente de le lancer dans un terminal,
Voici ce qu'il me dit:
% firefox
Could not find compatible GRE between version 1.9.0.10 and 1.9.0.10.

Je comprend qu'il ne trouve pas quelquechose, mais quoi??


Last edited by zuthos on Wed Oct 13, 2010 6:33 pm; edited 1 time in total
Back to top
View user's profile Send private message
kernelsensei
Bodhisattva
Bodhisattva


Joined: 22 Feb 2004
Posts: 5619
Location: Woustviller/Moselle/FRANCE (49.07°N;7.02°E)

PostPosted: Sun Oct 10, 2010 7:08 pm    Post subject: Reply with quote

Essaye en root : xulrunner --register-global
_________________
$ ruby -e'puts " .:@BFegiklnorst".unpack("x4ax7aaX6ax5aX15ax4aax6aaX7ax2aX5aX8 \
axaX3ax8aX4ax6aX3aX6ax3ax3aX9ax4ax2aX9axaX6ax3aX2ax4ax3aX4aXaX12ax10aaX7a").join'
Back to top
View user's profile Send private message
zuthos
n00b
n00b


Joined: 13 Dec 2009
Posts: 72
Location: Le Mans

PostPosted: Sun Oct 10, 2010 7:15 pm    Post subject: Reply with quote

% xulrunner --register-global
zsh: command not found: xulrunner
Back to top
View user's profile Send private message
barul
Guru
Guru


Joined: 28 May 2010
Posts: 430

PostPosted: Sun Oct 10, 2010 8:09 pm    Post subject: Reply with quote

Tu n'as pas installé xulrunner avec firefox?

Edit : Trouvé, c'est xulrunner-<version> qu'il faut mettre, chez moi par exemple la commande est xulrunner-1.9.2
Back to top
View user's profile Send private message
zuthos
n00b
n00b


Joined: 13 Dec 2009
Posts: 72
Location: Le Mans

PostPosted: Mon Oct 11, 2010 8:26 am    Post subject: Reply with quote

Code:

% xulrunner-1.9.2 --register-global
zsh: exit 2     xulrunner-1.9.2 --register-global

ça donne rien. :?:
Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 8131
Location: ~Brussels - Belgique

PostPosted: Mon Oct 11, 2010 9:55 am    Post subject: Reply with quote

Bizarre, tout cela.

Essaie de mettre ton système à jour:
Code:
emerge -DuNav world
Les options que je vois proposées me sont inconnues et ressemblent trop à du bricolage de dernier ressort...
_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Mon Oct 11, 2010 10:52 am    Post subject: Reply with quote

'alute

bug semble-t-il -> jette un oeil ici pour voir
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
zuthos
n00b
n00b


Joined: 13 Dec 2009
Posts: 72
Location: Le Mans

PostPosted: Wed Oct 13, 2010 6:32 pm    Post subject: Reply with quote

Le probléme est résolu par:
Code:

# emerge -uaDNv world
# emerge --unmerge firefox
#emerge firefox-bin


le premier emerge a upgrader xulrunner.
Ouf, surtous que la langue anglaise est très dificile d'accés pour moi.
Merci quand même pour le lien :-D

Merci à tous
Back to top
View user's profile Send private message
guilc
Bodhisattva
Bodhisattva


Joined: 15 Nov 2003
Posts: 3326
Location: Paris - France

PostPosted: Wed Oct 13, 2010 7:15 pm    Post subject: Reply with quote

Ah bon parce que tu appelles ça une solution toi, utiliser firefox-bin ????


Tu dis que ton premier emerge a mis à jour xulrunner.
la première chose à faire est derrière de remettre à jour (ou recompiler) firefox (pas firefox-bin) : firefox EXIGE de fonctionner sur une release synchrone de xulrunner : les numéros de version doivent correspondre. Si tu as eu une maj de xulrunner, c'est que soit tu dois mettre à jour par la suite firefox, soit ton firefox était compilé sur la mauvaise version de xulrunner, auquel cas il faut le recompiler.

Mais utiliser firefox-bin n'est pas une solution, c'est un contournement ;)
_________________
Merci de respecter les règles du forum.

Mon site perso : https://www.xwing.info
Mon PORTDIR_OVERLAY : https://gentoo.xwing.info ou layman -a xwing
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum